For the complete documentation index, see llms.txt. This page is also available as Markdown.

OAuth

Manage OAuth configurations (Preview)

Listing OAuth configurations

get

Retrieves OAuth configurations based on the provided query.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

Query parameters
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

expandstring · enumOptional

Fields to be expanded in the response. It means that instead of the object IDs, the whole objects are returned in the response.

Possible values:
Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Responses
200

List of OAuth configurations.

application/json

OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.

urlstring · uriRequired

Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.

clientIdstringRequired

OAuth 2.0 client identifier registered with the authorization server.

grantTypestring · enumRequired

OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.

Possible values:
scopestringOptional

Optional space-separated list of scopes to request for the access token.

enabledbooleanOptional

Indicates whether the OAuth configuration is enabled.

Example: true
idstringOptional

Unique identifier of the entity.

clientSecretTokenone ofOptional

The full response representing token. If the expand=token is not used, then only id field is returned, otherwise all fields are returned.

or
get/ai-service/{tenant}/agentic/oauths

Searching OAuth configurations

post

Searches for OAuth configurations based on the provided query.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

Query parameters
pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

expandstring · enumOptional

Fields to be expanded in the response. It means that instead of the object IDs, the whole objects are returned in the response.

Possible values:
Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Body
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

Responses
200

List of OAuth configurations.

application/json

OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.

urlstring · uriRequired

Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.

clientIdstringRequired

OAuth 2.0 client identifier registered with the authorization server.

grantTypestring · enumRequired

OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.

Possible values:
scopestringOptional

Optional space-separated list of scopes to request for the access token.

enabledbooleanOptional

Indicates whether the OAuth configuration is enabled.

Example: true
idstringOptional

Unique identifier of the entity.

clientSecretTokenone ofOptional

The full response representing token. If the expand=token is not used, then only id field is returned, otherwise all fields are returned.

or
post/ai-service/{tenant}/agentic/oauths/search

Retrieving OAuth configuration by ID

get

Retrieves the OAuth configuration by a given ID.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

oauthIdstringRequired
Query parameters
fieldsstringOptional

Fields to be returned in the response.

expandstring · enumOptional

Fields to be expanded in the response. It means that instead of the object IDs, the whole objects are returned in the response.

Possible values:
Responses
200

A single OAuth configuration.

application/json

OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.

urlstring · uriRequired

Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.

clientIdstringRequired

OAuth 2.0 client identifier registered with the authorization server.

grantTypestring · enumRequired

OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.

Possible values:
scopestringOptional

Optional space-separated list of scopes to request for the access token.

enabledbooleanOptional

Indicates whether the OAuth configuration is enabled.

Example: true
idstringOptional

Unique identifier of the entity.

clientSecretTokenone ofOptional

The full response representing token. If the expand=token is not used, then only id field is returned, otherwise all fields are returned.

or
get/ai-service/{tenant}/agentic/oauths/{oauthId}

Upserting OAuth configuration

put

Updates or creates a specified OAuth configuration by replacing all of its existing data with data from the request body. If the metadata.version is provided, then optimistic locking is enabled and version must match the version in the database.

Currently only the client_credentials grant type is supported.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

oauthIdstringRequired
Query parameters
forcebooleanOptional

Allows you to disable a given entity even if it is used as a dependency in other entries. In that case, cascade disable is performed.

Example: false
Body

OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.

urlstring · uriRequired

Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.

clientIdstringRequired

OAuth 2.0 client identifier registered with the authorization server.

grantTypestring · enumRequired

OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.

Possible values:
scopestringOptional

Optional space-separated list of scopes to request for the access token.

enabledbooleanOptional

Indicates whether the OAuth configuration is enabled.

Example: true
Responses
201

ID of created OAuth configuration.

application/json
idstringOptional

Identifier of the resource.

put/ai-service/{tenant}/agentic/oauths/{oauthId}

Deleting OAuth configuration

delete

Deletes OAuth configuration by given ID.

Important: If an OAuth configuration is being used by an agent, then delete operation is not possible without force flag set to true.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

oauthIdstringRequired
Query parameters
forcebooleanOptional

Allows you to remove a given entity even if it is used as a dependency in other entries. In that case, the removed entity is unassigned from other entries.

Example: false
Responses
204

Given OAuth configuration has been deleted.

No content

delete/ai-service/{tenant}/agentic/oauths/{oauthId}

No content

Partially updating OAuth configuration

patch

Partially updates a single OAuth configuration document with given information. Single update may contain multiple partial updates in the form of an array. It contains the allowed operations list:

  • add (adding an item to the items list)

  • remove (removing an item from the items list)

  • replace (replacing an item with given ID with new definition)

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

oauthIdstringRequired
Query parameters
forcebooleanOptional

Allows you to disable a given entity even if it is used as a dependency in other entries. In that case, cascade disable is performed.

Example: false
Bodyobject[]

Partial update operation list.

opany ofRequired
undefined · enumOptionalPossible values:
pathstringRequiredExample: /name
valueany ofOptional
stringOptional

Value of the string type.

or
objectOptional

Any part of the details object.

Responses
204

No Content

No content

patch/ai-service/{tenant}/agentic/oauths/{oauthId}

No content

Last updated

Was this helpful?